<template>
    <div class="navi bg-trans-black">
            <div class="head-case">
                <div class="blockitem">
                    <div class="btn-wrap btn-head txt-gray-mid br20  hover-secondary-light" @click.prevent="push({ name: 'Home'})">
                        <div class="icon-case">
                                <back-icon size="icon-20"/>
                            </div>
                    </div>
                </div>
            </div>
            <div class="head-case">
                <div class="blockitem txt-fake-white" style="font-size: 30px; font-weight: 500;">
                    {{ title }}
                </div>
            </div>
    </div>
</template>

<script setup lang="ts">
import { useRouter } from 'vue-router';
import BackIcon from './icons/BackIcon.vue';

defineProps<{ title: string }>();

const { push } = useRouter();

</script>

<style scoped>
.navi {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 9996;
    margin: 0;
    padding-top: 0;
    padding-bottom: 0;
    height: 65px;
    display: flex;
}
.head-case {
    margin: 0;
    height: 65px;
    min-width: 65px;
}

</style>